We have fixed some issues with the board email system. If you have not received an email for password reset or verification, please try again.

Spreads on Raspberry Pi 4

Johannes Baiter's Spreads and SpreadPi are the latest control systems and postprocessors for DIY scanning. http://spreads.readthedocs.org
Post Reply
elbourne
Posts: 6
Joined: 11 Oct 2019, 09:35
E-book readers owned: Freedom Scientific Openbook
Number of books owned: 10000
Country: USA

Spreads on Raspberry Pi 4

Post by elbourne »

Can Spreads run on a Raspberry Pi 4? If so, I may need a little help.

I am wanting to build me a book scanner. I bought a Raspberry Pi 4. I went ahead and got the 8GB version in a CanaKit that comes with cables, case, the OS already pre-installed on a microSD card... the whole works. I plugged it all in, connected it to my network, ran the configuration, and was even able to SSH into it from my PC. At this point I was pumped!

I also picked up 2 Cannon ELPH 180 Cameras. Using the STICK tool I got CHDK onto 2 32 GB SD cards and popped them into the cameras. They booted up the CHDK firmware and everything looks good. I disabled the USB Remote thing in the menu.

I plugged the cameras into the Raspberry Pi via USB and powered them on.

Now, in a terminal window on the Raspberry Pi, I did:

Code: Select all

$ pip install spreads
A bunch of stuff happened and I thought it was all good.

Then I did:

Code: Select all

$ spread configure
That's when I hit the brick wall. I do not know what to do with this:

Code: Select all

spreads encountered an error:
Traceback (most recent call last):
  File "/home/pi/.local/bin/spread", line 39, in <module>
    cli.main()
  File "/home/pi/.local/lib/python2.7/site-packages/spreads/cli.py", line 410, in main
    setup_plugin_config(config)
  File "/home/pi/.local/lib/python2.7/site-packages/spreads/plugin.py", line 344, in setup_plugin_config
    pluginmanager = get_pluginmanager(config)
  File "/home/pi/.local/lib/python2.7/site-packages/spreads/plugin.py", line 316, in get_pluginmanager
    name_order=True)
  File "/home/pi/.local/lib/python2.7/site-packages/stevedore/named.py", line 81, in __init__
    verify_requirements)
TypeError: _load_plugins() takes exactly 4 arguments (5 given)
I hope someone can help. Meanwhile, I am going to go see if I can make a cradle out of a cardboard box.
Post Reply